using System;
using System.Threading.Tasks;

internal sealed class Delegate696 : MulticastDelegate
{
	public extern Task<Task> Invoke(Task[] task_0);

	public static Task<Task> smethod_0(Task[] task_0, Delegate696 delegate696_1)
	{
		return delegate696_1(task_0);
	}

	public extern Delegate696(object object_0, IntPtr intptr_0);

	static Delegate696()
	{
		Class10.smethod_13(typeof(Delegate696).TypeHandle);
	}

	internal static Delegate696 delegate696_0;
}
